# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2020-04-08 22:49
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('saas', '0007_auto_20191101_1652'),
    ]

    operations = [
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=256, verbose_name='\u6807\u9898')),
                ('unique_id', models.CharField(blank=True, db_index=True, max_length=32, null=True, verbose_name='\u6392\u91cd')),
                ('is_force', models.BooleanField(default=False, verbose_name='\u5fc5\u586b')),
                ('is_read', models.BooleanField(db_index=True, default=False, verbose_name='\u5df2\u8bfb')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('read_time', models.DateTimeField(blank=True, null=True, verbose_name='\u9605\u8bfb\u65f6\u95f4')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='messages', to='saas.Party', verbose_name='\u56e2\u4f53')),
                ('receiver', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='messages_received', to=settings.AUTH_USER_MODEL, verbose_name='\u63a5\u6536\u8005')),
                ('sender', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='messages_sent', to=settings.AUTH_USER_MODEL, verbose_name='\u53d1\u9001\u8005')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u6d88\u606f',
                'verbose_name_plural': '\u6d88\u606f',
            },
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('target_user_tags', models.CharField(help_text='\u7b26\u5408\u6807\u7b7e\u7684\u4eba\u624d\u80fd\u6536\u5230\u4fe1\u606f.<p>\u4f8b\u5b50:<p>\u8001\u5e08:\u5f20\u4e09,\u674e\u56db,\u8d75\u4e94<p>\u5b66\u751f:*<p>\u5b66\u751f.\u5e74\u7ea7:\u5927\u4e00,\u5927\u4e8c<p>\u5b66\u751f.\u5165\u5b66\u5c4a\u522b:2019\u5c4a<p>\u5b66\u751f.\u73ed\u7ea7:2018\u7ea7\u6570\u5b57\u5a92\u4f53201801\u73ed,2018\u7ea7\u6570\u5b57\u5a92\u4f53201804\u73ed', max_length=255, verbose_name='\u76ee\u6807\u4eba\u7fa4\u6807\u7b7e')),
                ('target_user_count', models.PositiveIntegerField(blank=True, default=0, verbose_name='\u76ee\u6807\u53c2\u4e0e\u4eba\u6570')),
                ('category', models.CharField(default='\u7cfb\u7edf\u6d88\u606f', max_length=32, verbose_name='\u6d88\u606f\u7c7b\u578b')),
                ('title', models.CharField(blank=True, max_length=256, verbose_name='\u6807\u9898')),
                ('content', models.TextField(blank=True, null=True, verbose_name='\u5185\u5bb9')),
                ('link', models.CharField(blank=True, default='', max_length=256, null=True, verbose_name='\u8fde\u63a5')),
                ('is_force', models.BooleanField(default=False, verbose_name='\u5fc5\u586b')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('is_active', models.BooleanField(default=True, verbose_name='\u6709\u6548')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='message_tasks', to='saas.Party', verbose_name='\u56e2\u4f53')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='message_tasks', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u4efb\u52a1',
                'verbose_name_plural': '\u4efb\u52a1',
            },
        ),
        migrations.AddField(
            model_name='message',
            name='task',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='messages', to='message.Task', verbose_name='\u4efb\u52a1'),
        ),
    ]
