# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2018-05-27 04:39
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


def bind_product(apps, schema_editor):
    Quote = apps.get_model('quote', 'Quote')
    for q in Quote.objects.filter(product__isnull=True):
        q.product = q.item.product
        q.save()


class Migration(migrations.Migration):
    dependencies = [
        ('saas', '0002_auto_20180415_0032'),
        ('quote', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='quote',
            name='product',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='quotes',
                                    to='quote.Product', verbose_name='\u4ea7\u54c1'),
        ),
        migrations.AlterField(
            model_name='quote',
            name='unit_price',
            field=models.DecimalField(decimal_places=2, max_digits=10, verbose_name='\u672a\u7a0e\u5355\u4ef7'),
        ),
        migrations.AlterUniqueTogether(
            name='request',
            unique_together=set([('party', 'code')]),
        ),
        migrations.RunPython(bind_product),
    ]
